# Class HomeRoom

java.lang.Object
com.codename1.home.HomeRoom

public final class HomeRoom extends Object

A room in a `HomeStructure`: HomeKit's `HMRoom`, a Google Home room.

An immutable snapshot. Rooms cannot be created, renamed or deleted through this API -- the graph is read-only in this release -- so a room only ever arrives from the platform.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HomeRoom(String id, String name, String structureId)`
  Creates a room snapshot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  The identifier this room is addressed by.
  `String`
  `getName()`
  The user-visible name, empty when the room has none.
  `String`
  `getStructureId()`
  The structure this room belongs to.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HomeRoom

    public HomeRoom(String id, String name, String structureId)

    Creates a room snapshot. Called by the ports and by the local home.

    ###### Parameters

    - `id`: the room identifier

    - `name`: the user-visible name, or `null` for none

    - `structureId`: the structure this room belongs to

    ###### Throws

    - `IllegalArgumentException`: when `id` is `null` or empty

- ## Method Details

  - ### getId

    public String getId()

    The identifier this room is addressed by.

    ###### Returns

    the identifier, never `null`

  - ### getName

    public String getName()

    The user-visible name, empty when the room has none. The user's own text; treat it as untrusted beyond display.

    ###### Returns

    the name, never `null`

  - ### getStructureId

    public String getStructureId()

    The structure this room belongs to.

    ###### Returns

    the structure identifier, or `null` when unknown

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`